Vincent is here! Just say the word, and Vincent will build the campaigns for you! Get early access.
curl --request DELETE \
--url https://api.voucherify.io/v2/loyalties/programs/{id} \
--header 'Authorization: Bearer <token>' \
--header 'X-App-Id: <api-key>' \
--header 'X-App-Token: <api-key>'{
"id": "<string>",
"name": "<string>",
"status": "DRAFT",
"start_date": "2023-11-07T05:31:56Z",
"end_date": "2023-11-07T05:31:56Z",
"metadata": {},
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"object": "<string>"
}⚠️ BETA endpoint
This is a work-in-progress documentation of a BETA endpoint. The parameters, fields, request and response bodies, and other data may subject to change. If you want to share feedback or improvements, contact Voucherify support or your Technical Account Manager.
Soft-deletes a loyalty program and all its assignments (card definitions, earning rules, rewards, tier structures).
curl --request DELETE \
--url https://api.voucherify.io/v2/loyalties/programs/{id} \
--header 'Authorization: Bearer <token>' \
--header 'X-App-Id: <api-key>' \
--header 'X-App-Token: <api-key>'{
"id": "<string>",
"name": "<string>",
"status": "DRAFT",
"start_date": "2023-11-07T05:31:56Z",
"end_date": "2023-11-07T05:31:56Z",
"metadata": {},
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"object": "<string>"
}Documentation Index
Fetch the complete documentation index at: https://docs.voucherify.io/llms.txt
Use this file to discover all available pages before exploring further.
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Unique program identifier
^lprg_[a-f0-9]+$Program deleted successfully
Program DTO returned by toDTO()
Unique program identifier
^lprg_[a-f0-9]+$Program name
DRAFT, ACTIVE, INACTIVE, DELETED Program start date
Program end date
Custom key-value metadata.
Creation timestamp (ISO 8601)
Last update timestamp (ISO 8601)
"program"Was this page helpful?